import { format } from 'date-fns';
import { useI18n } from 'vue-i18n';

export function formatDateTimeLong(timestamp) {
    const { t } = useI18n();
    const dateFormat = t('general.datetimelong', 'yyyy-MM-dd HH:mm:ss');
    const date = new Date(timestamp);
    return format(date, dateFormat);
}
